Post v1openidctoken - Terminal 3 Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

cURL

curl --request POST \
  --url https://staging.terminal3.io/v1/openidc/token \
  --header 'Content-Type: application/json' \
  --data '
{
  "grant_type": "authorization_code",
  "code": "<string>",
  "client_id": "<string>",
  "client_secret": "<string>",
  "redirect_uri": "<string>"
}
'

Python

import requests

url = "https://staging.terminal3.io/v1/openidc/token"

payload = {
    "grant_type": "authorization_code",
    "code": "<string>",
    "client_id": "<string>",
    "client_secret": "<string>",
    "redirect_uri": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    grant_type: 'authorization_code',
    code: '<string>',
    client_id: '<string>',
    client_secret: '<string>',
    redirect_uri: '<string>'
  })
};

fetch('https://staging.terminal3.io/v1/openidc/token', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response

Success (200)

{
  "scope": "openid",
  "token_type": "Bearer",
  "access_token": "<string>",
  "expire_in": 123,
  "id_token": "<string>"
}

Error (400)

{
  "error": "<string>",
  "error_description": "<string>"
}

Error (500)

{
  "error": "<string>",
  "error_description": "<string>"
}

Body

application/json

Parameter Type Description
grant_type enum required
code string required
client_id string required
client_secret string required
redirect_uri string required

Response Fields

Field Type Description
scope enum required
token_type enum required
access_token string required
expire_in number required
id_token string required